|
From: Bian N. <bi...@cn...> - 2010-11-30 08:14:48
|
Script generate-makefiles.sh has a bug, it can cause run.sh miss some tests.
For exemple, this is the makefile of conformance/interfaces/sched_getparam:
INSTALL_TARGETS+= 4-1.run-test 5-1.sh
MAKE_TARGETS+= 4-1.run-test
INSTALL_TARGETS+= 2-1.run-test 1-1.run-test 3-1.run-test 6-1.run-test
MAKE_TARGETS+= 2-1.run-test 1-1.run-test 3-1.run-test 6-1.run-test
... snip ...
run.sh:
@echo '#/bin/sh' > $@
@echo "$(top_srcdir)/bin/run-tests.sh $(subdir) 4-1.run-test 5-1.sh" >> $@
@chmod +x run.sh
So what about the following patch?
----------------------------------------------------------------------------------
If there are some source files at the child directory, generate_makefile will
be invoked twice, then run.sh will miss some tests.
Signed-off-by: Bian Naimeng <bi...@cn...>
---
.../scripts/generate-makefiles.sh | 4 ++--
1 files changed, 2 insertions(+), 2 deletions(-)
diff --git a/testcases/open_posix_testsuite/scripts/generate-makefiles.sh b/testcases/open_posix_testsuite/scripts/generate-makefiles.sh
index 536d407..ed6406f 100755
--- a/testcases/open_posix_testsuite/scripts/generate-makefiles.sh
+++ b/testcases/open_posix_testsuite/scripts/generate-makefiles.sh
@@ -152,11 +152,11 @@ EOF
fi
- if [ "$tests" != "" ] && ! grep -q '^run.sh' "$makefile.3"; then
+ if ! grep -q '^run.sh' "$makefile.3"; then
cat >> "$makefile.3" <<EOF
run.sh:
@echo '#/bin/sh' > \$@
- @echo "\$(top_srcdir)/bin/run-tests.sh \$(subdir) $tests" >> \$@
+ @echo "\$(top_srcdir)/bin/run-tests.sh \$(subdir) \$(INSTALL_TARGETS)" >> \$@
@chmod +x run.sh
EOF
--
1.7.0.4
--
Regards
Bian Naimeng
|